<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<html>
<title>Add Profile Form</title>
</head>
<body>
<html:errors/>
<br/>Add Profile
<html:form action="/saveProfile">
<table border="1">
<tr>
  <td>Display Name:</td>
  <td><html:text property="displayName"/></td>
</tr>
<tr>
  <td>Subscribe to mailing list?</td>
  <td><html:checkbox property="subscribe"/></td>
</tr>
<tr>
  <td>Interests:</td>
  <td>
    <html:multibox property="interests">au</html:multibox>Automotive
    <br/><html:multibox property="interests">ga</html:multibox>Games
    <br/><html:multibox property="interests">sp</html:multibox>Sports
  </td>  
</tr>
<tr>
  <td>Cities from which you will access our service:</td>
  <td>
    <c:forEach items="${profileForm.cityOptions}" var="city">
      <html:multibox property="cities"><c:out value="${city.value}"/></html:multibox>
      <c:out value="${city.label}"/><br/>
    </c:forEach>
  </td>  
</tr>
<tr>
  <td>Income Level:</td>
  <td>
    <c:forEach items="${profileForm.incomeLevelOptions}" var="incomeLevel">
      <html:radio property="cities" idName="incomeLevel" value="value"/>
      <c:out value="${incomeLevel.label}"/><br/>
    </c:forEach>
  </td>  
</tr>
<tr>
  <td>User Type:</td>
  <td>
    <html:radio property="userType" value="1"/>Individual
    <html:radio property="userType" value="2"/>Organization
  </td>
</tr>
<tr>
<td><html:submit>Submit</html:submit></td>
<td><html:reset>Reset</html:reset></td>
</tr>
</table>
</html:form>
</body>
</html>
